<mat-card class="card col-12 car-table">
  <div class="title">
    <h6>{{ title }}</h6>
  </div>
  <div class="button-container">
    <button mat-raised-button (click)="openDialog()">Add</button>
  </div>
  <mat-table
    [dataSource]="dataSource"
    matSort
    matPaginator
    class="device-handler-table mt-5"
  >
    <ng-container
      *ngFor="let column of displayedColumns"
      [matColumnDef]="column"
    >
      <mat-header-cell *matHeaderCellDef mat-sort-header>{{
        splitCamelCase(column)
      }}</mat-header-cell>
      <mat-cell *matCellDef="let element">
        <span [innerHtml]="formatTableValue(column, element[column])"></span>
      </mat-cell>
    </ng-container>
    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data</td>
    </tr>
  </mat-table>
  <mat-paginator
    [length]="data.length"
    [pageSize]="10"
    [pageSizeOptions]="[5, 10, 20]"
    showFirstLastButtons
  ></mat-paginator>
</mat-card>
